#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xF0,0x3E,0xBB,0xDB,0x12,0x56,0xAD,0x0F,0x23,0x5C,0xC0,0xEC,
		0x14,0xFF,0x40,0x10,0xBA,0x7C,0xBA,0x7F,0x0C,0xF4,0x81,0x8E,
		0x32,0x9A,0x44,0x25,0xE5,0xA6,0x36,0x04,0xFB,0x1C,0x88,0x07,
		0x42,0xF5,0x83,0x54,0xC9,0xBD,0x6B,0x79,0x36,0x69,0xB7,0xA8,
		0x70,0xF5,0x3D,0x04,0x14,0x38,0x26,0x8F,0x23,0x78,0x80,0xEE,
		0x8D,0x7A,0xC1,0x3B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
